# Generated by Django 3.2.13 on 2022-04-24 20:04

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('relatorios', '0026_totaisareasdeusoporestadoorganizacao'),
    ]

    operations = [
        migrations.RunSQL(
            """
            DROP VIEW IF EXISTS relatorios_totaisconflitosorganizacao;
            CREATE OR REPLACE VIEW relatorios_totaisconflitosorganizacao AS
            SELECT t.organizacao_id,
                   tc.id,
                   tc.nome,
                   count(cf.id) AS qtd_conflitos
            FROM main_conflito cf
                     JOIN main_tipoconflito tc ON cf.tipo_conflito_id = tc.id
                     JOIN main_territorio t ON cf.territorio_id = t.id AND t.teste is false AND t.status_id = 4
            WHERE cf.deleted IS NULL
            GROUP BY t.organizacao_id, tc.id, tc.nome
            ORDER BY qtd_conflitos DESC, t.organizacao_id, tc.id;
            """),
    ]
